Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.internal.configuration
Class DefaultFilterConfiguration

    java.lang.Object
      org.apache.cactus.internal.configuration.BaseConfiguration
          org.apache.cactus.internal.configuration.AbstractWebConfiguration
              org.apache.cactus.internal.configuration.DefaultFilterConfiguration

All Implemented Interfaces:
  Configuration, FilterConfiguration, WebConfiguration

public class DefaultFilterConfiguration
extends AbstractWebConfiguration
implements FilterConfiguration

Provides access to the Cactus configuration parameters related to the Filter Redirector.

Version:
  $Id: DefaultFilterConfiguration.java 238991 2004-05-22 11:34:50Z vmassol $

Field Summary
`static java.lang.String` | `CACTUS_FILTER_REDIRECTOR_NAME_PROPERTY` Name of the cactus property that specifies the name of the JSP redirector.

Fields inherited from class org.apache.cactus.internal.configuration.BaseConfiguration
`CACTUS_CONTEXT_URL_PROPERTY`

Constructor Summary
`DefaultFilterConfiguration()`

Method Summary
`java.lang.String` | `getDefaultRedirectorName()`

Methods inherited from class org.apache.cactus.internal.configuration.AbstractWebConfiguration
`getDefaultRedirectorURL, getRedirectorName, getRedirectorURL`

Methods inherited from class org.apache.cactus.internal.configuration.BaseConfiguration
`getContextURL, getInitializer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cactus.internal.configuration.WebConfiguration
`getDefaultRedirectorURL, getRedirectorName, getRedirectorURL`

Methods inherited from interface org.apache.cactus.internal.configuration.Configuration
`getContextURL, getInitializer`

Field Detail

### CACTUS_FILTER_REDIRECTOR_NAME_PROPERTY

    public static final java.lang.String CACTUS_FILTER_REDIRECTOR_NAME_PROPERTY

  Name of the cactus property that specifies the name of the JSP redirector.

  See Also:
    Constant Field Values

Constructor Detail

### DefaultFilterConfiguration

    public DefaultFilterConfiguration()

Method Detail

### getDefaultRedirectorName

    public java.lang.String getDefaultRedirectorName()

  Specified by:
    `getDefaultRedirectorName` in interface `WebConfiguration`
  Returns:
    the default redirector name as defined by the Cactus configuration
  See Also:
    `WebConfiguration.getDefaultRedirectorName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.